Skip to main content
GET
/
v1
/
changelog
/
{slug}
/
entries
/
{id}
Get a published changelog entry
curl --request GET \
  --url https://api.suprlogs.com/v1/changelog/{slug}/entries/{id}
{
  "entry": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "entry_type": "commit",
    "status": "published",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "content": "<string>",
    "generated_json": {
      "title": "<string>",
      "headline_items": [
        {
          "section_type_key": "<string>",
          "title": "<string>",
          "body": "<string>"
        }
      ],
      "sections": [
        {
          "section_type_key": "<string>",
          "label": "<string>",
          "items": [
            {
              "text": "<string>",
              "component": "<string>"
            }
          ]
        }
      ],
      "component_tags": [
        "<string>"
      ],
      "team_attribution": "<string>"
    },
    "version_label": "<string>",
    "team_attribution": "<string>",
    "component_tags": [
      "<string>"
    ],
    "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "commit_shas": [
      "<string>"
    ],
    "period_start": "2023-11-07T05:31:56Z",
    "period_end": "2023-11-07T05:31:56Z",
    "published_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.suprlogs.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

slug
string
required
id
string<uuid>
required

Response

Published entry.

entry
object